| The Gaudi Framework v32r1 (f65d50dc)

Classes | Public Member Functions | List of all members
IIoComponentMgr Class Referenceabstract

`#include <GaudiKernel/IIoComponentMgr.h>`

Inheritance diagram for IIoComponentMgr:
[legend]
Collaboration diagram for IIoComponentMgr:
[legend]

## Classes
struct | IoMode

## Public Member Functions
| DeclareInterfaceID (IIoComponentMgr, 1, 0)
virtual StatusCode | io_register (IIoComponent *iocomponent)=0
| : allow a `IIoComponent` to register itself with this manager so appropriate actions can be taken when e.g. More...
virtual StatusCode | io_register (IIoComponent *iocomponent, IIoComponentMgr::IoMode::Type iomode, const std::string &fname, const std::string &pfn="")=0
| : allow a `IIoComponent` to register itself with this manager so appropriate actions can be taken when e.g. More...
virtual StatusCode | io_update (IIoComponent *iocomponent, const std::string &old_fname, const std::string &new_fname)=0
| : allow a `IIoComponent` to update the contents of the registry with a new file name More...
virtual StatusCode | io_update (IIoComponent *iocomponent, const std::string &work_dir)=0
| : allow a `IIoComponent` to update the contents of the registry with a new work directory More...
virtual StatusCode | io_update_all (const std::string &work_dir)=0
| : Update all `IIoComponents` with a new work directory More...
virtual bool | io_hasitem (IIoComponent *iocomponent) const =0
| : check if the registry contains a given `IIoComponent` More...
virtual bool | io_contains (IIoComponent *iocomponent, const std::string &fname) const =0
| : check if the registry contains a given `IIoComponent` and that component had More...
virtual std::vector< std::string > | io_retrieve (IIoComponent *iocomponent)=0
| : retrieve all registered filenames for a given `IIoComponent` More...
virtual StatusCode | io_retrieve (IIoComponent *iocomponent, std::string &fname)=0
| : retrieve the new filename for a given `IIoComponent` and More...
virtual StatusCode | io_reinitialize ()=0
| : reinitialize the I/O subsystem. More...
virtual StatusCode | io_finalize ()=0
| : finalize the I/O subsystem. More...
Public Member Functions inherited from INamedInterface
| DeclareInterfaceID (INamedInterface, 1, 0)
| InterfaceID. More...
virtual const std::string & | name () const =0
| Retrieve the name of the instance. More...
Public Member Functions inherited from IInterface
virtual void * | i_cast (const InterfaceID &) const =0
| main cast function More...
virtual std::vector< std::string > | getInterfaceNames () const =0
| Returns a vector of strings containing the names of all the implemented interfaces. More...
virtual unsigned long | addRef ()=0
| Increment the reference count of Interface instance. More...
virtual unsigned long | release ()=0
| Release Interface instance. More...
virtual unsigned long | refCount () const =0
| Current reference count. More...
virtual StatusCode | queryInterface (const InterfaceID &ti, void **pp)=0
| Set the void** to the pointer to the requested interface of the instance. More...
virtual | ~IInterface ()=default
| Virtual destructor. More...

## Additional Inherited Members
Public Types inherited from IInterface
enum | Status : StatusCode::code_t { Status::FAILURE = 0, Status::SUCCESS = 1, Status::NO_INTERFACE, Status::VERSMISMATCH, Status::LAST_ERROR }
| Return status. More...
using | iid = Gaudi::InterfaceId< IInterface, 0, 0 >
| Interface ID. More...
using | ext_iids = Gaudi::interface_list< iid >
| Extra interfaces. More...
Static Public Member Functions inherited from IInterface
static const InterfaceID & | interfaceID ()
| Return an instance of InterfaceID identifying the interface. More...

## Detailed Description

Definition at line 22 of file IIoComponentMgr.h.

## Member Function Documentation

## ◆ DeclareInterfaceID()

IIoComponentMgr::DeclareInterfaceID | ( | IIoComponentMgr | ,
|  | 1 | ,
|  | 0 |
| ) |  |

## ◆ io_contains()

virtual bool IIoComponentMgr::io_contains | ( | IIoComponent * | iocomponent,
|  | const std::string & | fname
| ) |  | const
| pure virtual

: check if the registry contains a given `IIoComponent` and that component had

Parameters

  <tt>fname</tt> | as a filename

## ◆ io_finalize()

virtual StatusCode IIoComponentMgr::io_finalize | ( |  | ) |
| pure virtual

: finalize the I/O subsystem.

Hook to allow to e.g. give a chance to I/O subsystems to merge output files. Not sure how to do this correctly though...

## ◆ io_hasitem()

virtual bool IIoComponentMgr::io_hasitem | ( | IIoComponent * | iocomponent | ) | const
| pure virtual

: check if the registry contains a given `IIoComponent`

## ◆ io_register() [1/2]

virtual StatusCode IIoComponentMgr::io_register | ( | IIoComponent * | iocomponent | ) |
| pure virtual

: allow a `IIoComponent` to register itself with this manager so appropriate actions can be taken when e.g.

a `fork(2)` has been issued (this is usually handled by calling `IIoComponent::io_reinit` on every registered component)

## ◆ io_register() [2/2]

virtual StatusCode IIoComponentMgr::io_register | ( | IIoComponent * | iocomponent,
|  | IIoComponentMgr::IoMode::Type | iomode,
|  | const std::string & | fname,
|  | const std::string & | pfn = `""`
| ) |  |
| pure virtual

: allow a `IIoComponent` to register itself with this manager so appropriate actions can be taken when e.g.

a `fork(2)` has been issued (this is usually handled by calling `IIoComponent::io_reinit` on every registered component)

## ◆ io_reinitialize()

virtual StatusCode IIoComponentMgr::io_reinitialize | ( |  | ) |
| pure virtual

: reinitialize the I/O subsystem.

This effectively calls `IIoComponent::io_reinit` on all the registered `IIoComponent`.

## ◆ io_retrieve() [1/2]

virtual std::vector<std::string> IIoComponentMgr::io_retrieve | ( | IIoComponent * | iocomponent | ) |
| pure virtual

: retrieve all registered filenames for a given `IIoComponent`

## ◆ io_retrieve() [2/2]

virtual StatusCode IIoComponentMgr::io_retrieve | ( | IIoComponent * | iocomponent,
|  | std::string & | fname
| ) |  |
| pure virtual

: retrieve the new filename for a given `IIoComponent` and

Parameters

  <tt>fname</tt> | filename

## ◆ io_update() [1/2]

virtual StatusCode IIoComponentMgr::io_update | ( | IIoComponent * | iocomponent,
|  | const std::string & | old_fname,
|  | const std::string & | new_fname
| ) |  |
| pure virtual

: allow a `IIoComponent` to update the contents of the registry with a new file name

## ◆ io_update() [2/2]

virtual StatusCode IIoComponentMgr::io_update | ( | IIoComponent * | iocomponent,
|  | const std::string & | work_dir
| ) |  |
| pure virtual

: allow a `IIoComponent` to update the contents of the registry with a new work directory

## ◆ io_update_all()

virtual StatusCode IIoComponentMgr::io_update_all | ( | const std::string & | work_dir | ) |
| pure virtual

: Update all `IIoComponents` with a new work directory

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IIoComponentMgr.h